package com.qxgmat.dto.admin.request;

import com.nuliji.tools.annotation.Dto;
import com.qxgmat.data.dao.entity.Manager;
import com.qxgmat.data.dao.entity.ManagerRole;

import javax.validation.constraints.NotEmpty;

@Dto(entity = ManagerRole.class)
public class ManagerRoleDto {

    private Integer id;

    @NotEmpty(message = "角色名称不能为空！")
    private String title;

    @NotEmpty(message = "权限不能为空！")
    private String[] permissionList;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String[] getPermissionList() {
        return permissionList;
    }

    public void setPermissionList(String[] permissionList) {
        this.permissionList = permissionList;
    }
}
